MyGUI 3.2.2

Public Member Functions | Data Fields
MyGUI::DDWidgetState Struct Reference

`#include <MyGUI_DDItemInfo.h>`

## Public Member Functions
| DDWidgetState (size_t _index)

## Data Fields
size_t | index
bool | update
bool | accept
bool | refuse

## Detailed Description

Definition at line 98 of file MyGUI_DDItemInfo.h.

## Constructor & Destructor Documentation

## ◆ DDWidgetState()

MyGUI::DDWidgetState::DDWidgetState | ( | size_t | _index | ) |
| inline

Definition at line 100 of file MyGUI_DDItemInfo.h.

## Field Documentation

## ◆ accept

bool MyGUI::DDWidgetState::accept

Is widget accept drop

Definition at line 113 of file MyGUI_DDItemInfo.h.

## ◆ index

size_t MyGUI::DDWidgetState::index

Index of element

Definition at line 109 of file MyGUI_DDItemInfo.h.

## ◆ refuse

bool MyGUI::DDWidgetState::refuse

Is widget refuse drop

Definition at line 115 of file MyGUI_DDItemInfo.h.

## ◆ update

bool MyGUI::DDWidgetState::update

State and internal data changed

Definition at line 111 of file MyGUI_DDItemInfo.h.

The documentation for this struct was generated from the following file:

- MyGUI_DDItemInfo.h